Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.models.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Models.List(context.TODO(), sgp.ModelListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/modelsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"model_type": "COMPLETION",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"request_schema": {},
"response_schema": {},
"deployment_count": 123,
"supports_multi_turn": true,
"model_group": {
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"description": "<string>"
},
"deployments": [
{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"status": "<string>",
"model_creation_parameters": {},
"model_endpoint_id": "<string>",
"model_instance_id": "<string>",
"vendor_configuration": {
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"vendor": "LAUNCH"
},
"deployment_metadata": {}
}
],
"display_name": "<string>",
"model_vendor": "OPENAI",
"base_model_id": "<string>",
"base_model_metadata": {
"ui_model_section_type": "PARTNER",
"model_developer": "<string>",
"model_license_url": "<string>",
"delivery_date": "<string>",
"modelDetails": {
"number_of_parameters": 123,
"token_context_window": 123,
"languages": 123,
"alignments": 123
}
},
"model_creation_parameters": {},
"model_card": "<string>",
"training_data_card": "<string>",
"description": "<string>",
"model_template_id": "<string>",
"model_group_id": "<string>"
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Models
List Models
Description
Lists all models accessible to the user.
Details
This API can be used to list models. If a user has access to multiple accounts, all models from all accounts the user is associated with will be returned.
GET
/
v4
/
models
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.models.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Models.List(context.TODO(), sgp.ModelListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Query Parameters
Available options:
Deployments, ModelGroup Available options:
display_name:asc, display_name:desc, model_vendor:asc, model_vendor:desc, base_model_id:asc, base_model_id:desc, base_model_metadata:asc, base_model_metadata:desc, model_creation_parameters:asc, model_creation_parameters:desc, model_card:asc, model_card:desc, training_data_card:asc, training_data_card:desc, description:asc, description:desc, model_template_id:asc, model_template_id:desc, model_group_id:asc, model_group_id:desc, model_group:asc, model_group:desc, request_schema:asc, request_schema:desc, response_schema:asc, response_schema:desc, deployment_count:asc, deployment_count:desc, supports_multi_turn:asc, supports_multi_turn:desc, deployments:asc, deployments:desc, id:asc, id:desc, created_at:asc, created_at:desc, account_id:asc, account_id:desc, created_by_user_id:asc, created_by_user_id:desc, created_by_identity_type:asc, created_by_identity_type:desc, name:asc, name:desc, model_type:asc, model_type:desc Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response

